$(function() {

	// register keyboard bindings
	$(document).keyup(function (event) {
		
		// ignore key events within forms
		if ($(event.target).closest("form").size()) 
			return;
		
		// ignore key events with meta-keys involved
		if (event.altKey || event.ctrlKey || event.shiftKey || event.metaKey)
			return;
		
		// test for key hits
		var link, key = String.fromCharCode(event.which);
		if (key == 'H' || key == 'K' || event.keyCode == 37)
			link = "a.navigation-prev";
		else if (key == 'J' || key == 'L' || event.keyCode == 39)
			link = "a.navigation-next";
		else if (key == 'P')
			link = "a.navigation-parent";
		else if (key == 'I')
			link = "div.head h1 a";
		
		// click on appropriate link
		if (link) {
			var href = $(link).attr("href");
			if (href) window.location = href;
		}
		
	});

	
});